# pylint: disable-msg=W0622
# Copyright (c) 2003-2004 LOGILAB S.A. (Paris, FRANCE).
# http://www.logilab.fr/ -- mailto:contact@logilab.fr
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
"""pylint packaging information"""

__revision__ = '$Id: __pkginfo__.py,v 1.19 2004/05/14 14:45:26 syt Exp $'


modname = 'pylint'

numversion = [0, 4, 1]
version = '.'.join([str(num) for num in numversion])

license = 'GPL'
copyright = '''Copyright (c) 2003-2004 LOGILAB S.A. (Paris, FRANCE).
http://www.logilab.fr/ -- mailto:contact@logilab.fr'''

short_desc = "analyzes Python source code looking for bugs and signs of poor \
quality"
long_desc = """Library / tool to lint python modules/packages.
See the file features.txt in the doc directory for a list of things that are
checked by pylint.
"""

author = "Sylvain Thenault"
author_email = "sylvain.thenault@logilab.fr"

web = "http://www.logilab.org/projects/%s/" % modname
ftp = "ftp://ftp.logilab.org/pub/%s/" % modname
mailinglist = "mailto://python-projects@lists.logilab.org"

from os.path import join
scripts = (join('bin','pylint'), join('bin','pylint-gui'))

subpackage_of = 'logilab'

include_dirs = [join('test', 'input'), join('test', 'messages')]

pyversions = ["2.2", "2.3"]
